#
# spec file for package NetworkManager-kde
#

Name:           NetworkManager-kde
BuildRequires:  NetworkManager-devel dbus-devel dbus-qt3 dbus-qt3-devel hal-devel kdelibs-devel kdepim-devel
%define appname knetworkmanager
ExcludeArch: s390 s390x
License:        GPL
Group:          System/GUI/KDE
Autoreqprov:    on
Version:        0.1r533312
Release:        1%{?dist}
Summary:        KNetworkManager application for use with NetworkManager
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       NetworkManager
Provides:       NetworkManager-client
Source0:        %{appname}-%{version}.tar.gz
Patch0:		kubuntu_01_kdepot.patch
Patch1:		kubuntu_02_nodialup.patch
Patch2:		kubuntu_03_separator.diff
Patch3:		kubuntu_04_french_translation.patch
Patch4:		kubuntu_05_no_network_status.patch
Patch5:		kubuntu_06_notifications.patch
Patch6:		kubuntu_07_bug_report.patch
Patch7:		kubuntu_08_clean_desktop_file.patch


%description
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.


%prep
%setup -n %{appname}-%{version} -q
%patch0	-p1 -b .kdepot
%patch1 -p1 -b .nodialup
%patch2 -p1 -b .separator
%patch3 -p1 -b .french_translation
%patch4 -p1 -b .no_network_status
%patch5 -p1 -b .notifications
%patch6 -p1 -b .bugreport
%patch7 -p1 -b .desktop


%build
make -f Makefile.cvs
%configure
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/autostart
%{__cp} ./src/knetworkmanager.desktop $RPM_BUILD_ROOT%{_datadir}/autostart

%post
/sbin/ldconfig

%postun
/sbin/ldconfig 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
%config %{_sysconfdir}/*
%{_bindir}/knetworkmanager
%{_libdir}/*
%{_datadir}/*

%changelog -n NetworkManager-kde
